View Issue Details

IDProjectCategoryView StatusLast Update
0004871Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionopen 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004871: Repurchase logic
DescriptionThe wallet should now implement the following logic, in order to detect repurchases:

  It checks the field 'repurchase_correlation_id' in the proposal (please
  note that the 'proposal' is what we used to call 'contract'), and if its
  value is 'BYURL', then the wallet looks for a 'contract' (here, OTOH 'contract'
  means a 'proposal' which was previously signed by the wallet) whose fulfillment
  URL matches the one associated with the current proposal (ignoring the part
  after the "?");

  if that value is some token, then the old behaviour of repurchase detection
  based on a token is carried out.

  if this field does not exist, then repurchase never happens.
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-13 13:48

manager   ~0011735

Simplified out of existence.

Issue History

Date Modified Username Field Change
2017-01-30 10:49 Marcello Stanisci New Issue
2017-01-30 10:49 Marcello Stanisci Status new => assigned
2017-01-30 10:49 Marcello Stanisci Assigned To => Florian Dold
2017-01-30 10:50 Marcello Stanisci Description Updated View Revisions
2017-01-30 10:59 Marcello Stanisci Description Updated View Revisions
2017-02-01 13:47 Christian Grothoff Severity minor => feature
2017-02-01 13:47 Christian Grothoff Product Version => SVN HEAD
2017-02-01 13:47 Christian Grothoff Target Version => 0.3
2017-02-13 13:48 Christian Grothoff Status assigned => resolved
2017-02-13 13:48 Christian Grothoff Fixed in Version => 0.3
2017-02-13 13:48 Christian Grothoff Note Added: 0011735
2017-06-06 14:18 Christian Grothoff Status resolved => closed